BSDK.NET - BlomURBEX 3D Data Provider Software Development Kit

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions
BSDKW::BProxySettings Class Reference

Abstract class implemented by the user that lets SDK configure proxy server. More...

List of all members.

## Public Types
Proxy settings constants
enum | BLAuthenticationScheme { BL_PROXY_SETTINGS_NO_AUTHENTICATION_SCHEME = NatBProxySettings.BLAuthenticationScheme.BL_PROXY_SETTINGS_NO_AUTHENTICATION_SCHEME, BL_PROXY_SETTINGS_BASIC_AUTHENTICATION_SCHEME = NatBProxySettings.BLAuthenticationScheme.BL_PROXY_SETTINGS_BASIC_AUTHENTICATION_SCHEME, BL_PROXY_SETTINGS_DIGEST_AUTHENTICATION_SCHEME = NatBProxySettings.BLAuthenticationScheme.BL_PROXY_SETTINGS_DIGEST_AUTHENTICATION_SCHEME, BL_PROXY_SETTINGS_PASSPORT_AUTHENTICATION_SCHEME = NatBProxySettings.BLAuthenticationScheme.BL_PROXY_SETTINGS_PASSPORT_AUTHENTICATION_SCHEME, BL_PROXY_SETTINGS_NTLM_AUTHENTICATION_SCHEME = NatBProxySettings.BLAuthenticationScheme.BL_PROXY_SETTINGS_NTLM_AUTHENTICATION_SCHEME, BL_PROXY_SETTINGS_NEGOTIATE_AUTHENTICATION_SCHEME = NatBProxySettings.BLAuthenticationScheme.BL_PROXY_SETTINGS_NEGOTIATE_AUTHENTICATION_SCHEME }
| Proxy authorization schemes identifiers. More...
## Public Member Functions
abstract string | GetProxyServer ()
| Should return proxy server name and port using logic application criteria such as static configuration files, local system configuration, etc.
abstract string | GetProxyAuthorization (BLAuthenticationScheme scheme, string realm)
| When using proxy server, if proxy returns '407 Proxy Authentication Required', the application will be asked for the proxy authentication.

## Detailed Description

Abstract class implemented by the user that lets SDK configure proxy server.

## Member Enumeration Documentation

enum BSDKW::BProxySettings::BLAuthenticationScheme

Proxy authorization schemes identifiers.

See also:
  BSDK::BProxySettings::GetProxyAuthorization

Enumerator:

  BL_PROXY_SETTINGS_NO_AUTHENTICATION_SCHEME |
  BL_PROXY_SETTINGS_BASIC_AUTHENTICATION_SCHEME |
  BL_PROXY_SETTINGS_DIGEST_AUTHENTICATION_SCHEME |
  BL_PROXY_SETTINGS_PASSPORT_AUTHENTICATION_SCHEME |
  BL_PROXY_SETTINGS_NTLM_AUTHENTICATION_SCHEME |
  BL_PROXY_SETTINGS_NEGOTIATE_AUTHENTICATION_SCHEME |

## Member Function Documentation

abstract string BSDKW::BProxySettings::GetProxyAuthorization | ( | BLAuthenticationScheme | scheme,
|  | string | realm
| ) |  | `[pure virtual]`

When using proxy server, if proxy returns '407 Proxy Authentication Required', the application will be asked for the proxy authentication.

If the authentication fails, application will be asked again until two identical values are given or this method returns 0.

Parameters:

  scheme | Authentication scheme required by proxy server
  realm | Given realm from the proxy server.

Returns:
  This method should return proxy server authorization. If 0 or two identical values are returned, proxy authorization will be cancelled.

abstract string BSDKW::BProxySettings::GetProxyServer | ( |  | ) | `[pure virtual]`

Should return proxy server name and port using logic application criteria such as static configuration files, local system configuration, etc.

Returns:
  Proxy server name and port. 0 if there is not proxy.

The documentation for this class was generated from the following file:

- BSDK.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events